/* Fuentes */
@font-face {
  font-family: "GraphikRegular";
  src: url("../resources/fonts/Graphik-Regular-Web.woff2") format("woff2");
}

@font-face {
  font-family: "GraphikBold";
  src: url("../resources/fonts/Graphik-Bold-Web.woff2") format("woff2");
}

body {
  background-color: white;
  font-family: "GraphikRegular";
}

.hidden {
  display: none !important;
}

video:focus {
  outline: none;
}

dialog::backdrop {
  background: rgb(36 49 88 / 50%);
  backdrop-filter: blur(2px);
}

/* Onboarding */
dialog.welcome {
  align-items: center;
  justify-items: center;
  width: 40rem;
  height: 37rem;
  padding: 0;
  border: none;
}

dialog.welcome>section {
  grid-column: 1 / 3;
  width: 100%;
  height: 100%;
  background: white;
  display: grid;
  grid-template-columns: 100%;
  grid-template-rows: repeat(20, 5%);
  justify-items: center;
  border: none;
  overflow: hidden;
}

dialog.welcome>section>img {
  grid-column: 1 / 2;
  grid-row: 1 / 7;
  width: 100%;
  pointer-events: none;
}

dialog.welcome>section>article {
  grid-column: 1 / 2;
  grid-row: 7 / 14;
  padding: 0rem 2.5rem;
}

dialog.welcome>section>article>h1 {
  font-family: "GraphikBold";
  font-size: 150%;
  margin-bottom: 0.6rem;
  margin-top: 0.6rem;
  pointer-events: none;
}

dialog.welcome>section>article>p {
  font-family: "GraphikRegular";
  font-size: 97%;
  line-height: 1.2rem;
  pointer-events: none;
}

dialog.welcome>section>div {
  grid-column: 1 / 2;
  grid-row: 14 / 18;
  width: 100%;
  display: grid;
  grid-template-columns: 50% 50%;
  grid-template-rows: repeat(4, 25%);
  justify-items: center;
  pointer-events: none;
}

.iconsMove {
  grid-column: 1 / 2;
  max-width: 60%;
  padding: 0 4rem;
  grid-row: 1 / 3;
  width: 100%;
  border-right: 1px solid rgba(128, 128, 128, 0.679);
}

.textMove {
  font-family: "GraphikRegular";
  width: 86%;
  margin-top: 0;
  text-align: center;
  grid-column: 1 / 2;
  grid-row: 3 / 6;
  font-size: 80%;
  padding: 0rem 1.5rem;
  line-height: 1rem;
}

.iconInfo {
  grid-column: 2 / 4;
  grid-row: 1 / 3;
  max-width: 3rem;
}

.textInfo {
  font-family: "GraphikRegular";
  width: 86%;
  margin-top: 0;
  text-align: center;
  grid-column: 2 / 4;
  grid-row: 3 / 6;
  font-size: 80%;
  padding: 0rem 1.5rem;
  line-height: 1rem;
}

button.exitWelcome {
  grid-column: 1 / 2;
  grid-row: 18 / 20;
  border-radius: 0;
  color: white;
  font-family: "GraphikBold";
  font-size: 120%;
  position: relative;
  padding: 0.2rem 2.5rem;
  transition: color 0.2s, background-color 0.2s;
  cursor: pointer;
  border: none;
  z-index: 999;
  background: #a100ff;
}

button.exitWelcome:hover {
  transform: scale(1);
  opacity: 1;
  background-color: transparent;
  color: rgb(161, 0, 255);
  outline: 2px solid rgb(161, 0, 255) !important;
}

button:focus,
dialog:focus {
  outline: none;
}

dialog.welcome::backdrop {
  background: rgba(25, 35, 66, 0.6);
  backdrop-filter: blur(5px);
}

/* Video */
dialog.video {
  align-items: center;
  justify-items: center;
  padding: 0;
  border: none;
  overflow: hidden;
  background: #0000007d;
}

button.exitVideo,
button.exitSlider {
  position: fixed;
  top: 1.5%;
  right: 1%;
  background: white;
  box-shadow: 0px 10px 15px -3px rgba(0, 0, 0, 0.1);
  cursor: pointer;
  border: none;
  padding: 0.5rem;
  border-radius: 50%;
  font-size: 2.3rem;
  transition: transform 0.2s;
  z-index: 999;
}

dialog.video>video {
  width: 98%;
  height: 98%;
  max-width: 100vw;
  max-height: 100vh;
}

button.exitVideo:hover,
button.exitSlider:hover,
button.videoSlider:hover {
  transform: scale(1.4);
}

/* Slider */
dialog.swiper-container {
  width: 100%;
  height: 100%;
  overflow: hidden;
  background: transparent !important;
  margin: auto;
  align-items: center;
  justify-items: center;
  padding: 0;
  border: none;
}

button.videoSlider {
  /** **/
  display: none;

  position: fixed;
  top: 0.6rem;
  left: 0.9rem;
  opacity: 0.95;
  background: rgb(165, 117, 193);
  padding: 0.5rem;
  opacity: 1;
  filter: drop-shadow(0 2px 5px rgba(48, 49, 55, 0.4));
  cursor: pointer;
  border: none;
  border-radius: 50%;
  font-size: 2.3rem;
  transition: transform 0.2s;
  z-index: 999;
}

section.buttonsPanel {
  position: fixed;
  top: 1rem;
  left: 5rem;
  z-index: 999;
  opacity: 0.9;
}

button.link1,
button.link2,
button.link3,
button.link4 {
  color: white;
  font-size: 0.9rem;
  background: rgb(165, 117, 193);
  padding: 0.4rem 1rem;
  filter: drop-shadow(0 2px 5px rgba(48, 49, 55, 0.4));
  cursor: pointer;
  border: none;
  border-radius: 1rem;
  transition: transform 0.2s;
  margin-right: 0.4rem;
}

button.link1:hover,
button.link2:hover,
button.link3:hover,
button.link4:hover,
button.back:hover {
  background: rgb(87 2 120) !important;
}

button.back {
  position: fixed;
  top: 4rem;
  left: 0.8rem;
  opacity: 0.95;
  background: rgb(165, 117, 193);
  padding: 0.5rem;
  opacity: 1;
  filter: drop-shadow(0 2px 5px rgba(48, 49, 55, 0.4));
  cursor: pointer;
  border: none;
  border-radius: 50%;
  font-size: 2.3rem;
  transition: transform 0.2s;
  z-index: 999;
}

.swiper-slide {
  text-align: center;
}

.swiper-slide img {
  max-width: 80%;
  max-height: 94%;
  padding-top: 1%;
  margin: auto;
}

.swiper-button-next,
.swiper-button-prev {
  color: white !important;
  filter: drop-shadow(0 2px 5px rgba(48, 49, 55, 0.8));
}

.swiper-button-next:hover,
.swiper-button-prev:hover {
  color: rgb(227 179 255) !important;
}

.swiper-button-next:focus,
.swiper-button-prev:focus {
  outline: none;
}

.swiper-pagination {
  bottom: 0.2rem !important;
  position: fixed !important;
}

.swiper-pagination-bullet-active {
  background: rgb(227 179 255) !important;
}

.swiper-pagination-bullet {
  background: white !important;
}

.disabled {
  background: grey !important;
  pointer-events: none !important;
  opacity: 0.7 !important;
  filter: drop-shadow(0 2px 5px rgba(48, 49, 55, 0)) !important;
}

/* Buttons */
button.info {
  position: fixed;
  top: 1.5%;
  right: 1%;
  background: #62009a;
  box-shadow: 0px 10px 15px -3px rgba(0, 0, 0, 0.1);
  cursor: pointer;
  border: none;
  padding: 0.3rem;
  border-radius: 50%;
  font-size: 2.3rem;
  transition: transform 0.2s;
  z-index: 999;
}

button.info:hover {
  transform: scale(1.4);
}

svg,
video {
  display: block;
  max-width: 100%;
}

.swiper-zoom-container:before {
  content: "Double click on the image to zoom";
  color: rgb(255, 255, 255);
  font-size: clamp(0.5rem, 1vw, 1rem);
  position: absolute;
  font-weight: bold;
  top: 0;
  text-shadow: 2px 2px 2px #00000075;
}

.square-slide {
  transform: scale(0.6);
  -moz-transform: scale(0.6);
  -webkit-transform: scale(0.6);
  transform-origin: 0 0;
  margin: auto auto auto 25% !important;
}

.swiper-button-vertical {
  transform: rotate(90deg);
}

.hcontainer {
  width: 100%;
  height: 100%;
  overflow: hidden;
  background: transparent !important;
  justify-items: center;
  padding: 0;
  border: none;
}

.hcontainer2 {
  width: 100%;
  height: 100%;
  overflow: hidden;
  background: transparent !important;
  padding: 0;
  justify-items: center;
  border: none;
}


.henkatitle-header {
  background-color: rgb(255, 255, 255);
  margin-right: 350px;
  margin-left: 350px;
  margin-top: 50px;
  margin-bottom: 30px;
  padding: 20px;
  display: flex;
  justify-content: center;
  line-height: 1.6em;
  font-size: 30px;
  font-family: "GraphikBold", sans-serif;
}

.htitle-header {
  background-color: rgb(255, 255, 255);
  padding: 20px;
  margin-right: 350px;
  margin-left: 350px;
  margin-top: 150px;
  margin-bottom: 50px;
  display: flex;
  justify-content: center;
  font-size: 30px;
  font-family: "GraphikBold", sans-serif;
}

.hvideo-player {
  box-sizing: border-box;
  background-color: white;
  padding: 10px;
  display: flex;
  align-items: center;
  margin-top: 0px;
  margin: auto;
}

p {
  font-family: "GraphikRegular", sans-serif;
  font-size: 20px;
  line-height: 1.6em;
  text-align: justify;
}


a {
  text-decoration: none;
  font-family: "GraphikRegular", sans-serif;
  color: black;
}

.audios-pods {
  display: flex;
  flex-direction: row;
  gap: 20px;
}

.modal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  justify-content: center;
  align-items: center;
  transform: scale(1);
}

.modal-content {
  position: relative;
  background-color: white;
  padding: 30px;
  width: 100%;
  max-width: 800px;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
  border: 10px solid white;
  /* Borde blanco */
}

.modal-content video {
  box-sizing: border-box;
  width: 100%;
  margin-top: 40px;
}

.close {
  position: absolute;
  top: 3px;
  right: 15px;
  font-size: 30px;
  font-weight: bold;
  color: #a100ff;
  cursor: pointer;
}

.go-back {
  display: inline-block;
  margin: auto;
  border-radius: 0;
  color: white;
  font-family: "GraphikBold";
  font-size: 120%;
  padding: 2rem 5rem;
  transition: color 0.2s, background-color 0.2s;
  cursor: pointer;
  border: none;
  z-index: 999;
  background: #a100ff;
  cursor: pointer;
}

.go-back:hover {
  transform: scale(1);
  opacity: 1;
  background-color: white;
  color: rgb(161, 0, 255);
  outline: 2px solid rgb(161, 0, 255) !important;
}



.container-des {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 60px;
  padding: 20px;
}

.section {
  position: relative;
  cursor: pointer;
}

.pic {
  width: 150px;
  height: 150px;
  object-fit: cover;
  border-radius: 10px;
  transition: transform 0.2s;
  cursor: pointer;
}

.pic:hover {
  transform: scale(1.02);
}

.check-button-cards {
  position: absolute;
  left: 50px;
  width: 40px;
  height: 40px;
  background-color: #636cff;
  border: none;
  border-radius: 50%;
  cursor: pointer;
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 20px;
}

.check-button-cards:hover {
  background-color: #545bd8;
}

.modal-cards {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1000;
}

.modal-content-cards {
  background-color: white;
  padding: 20px;
  border-radius: 8px;
  width: 800px;
  position: relative;
  margin: 15% auto;
  text-align: center;
}

.modal-content-cards p {
  font-family: "GraphikRegular", sans-serif;
  padding: 10px;
  font-size: 20px;
  margin: 0;
  text-align: justify;
}

.close-cards {
  position: absolute;
  top: 10px;
  right: 15px;
  font-size: 24px;
  cursor: pointer;
  text-decoration: none;
  color: #666;
}

.close-cards:hover {
  color: #000;
}



/* Responsive */

@media (max-width: 1536px) {
  .swiper-slide img {
    max-width: 77%;
  }
}